package com.caimei.module.base.entity.vo;

import com.caimei.module.base.entity.po.Shop;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2020\3\17 0017
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ShopVo extends Shop {

    /**
     * 购物车总的商品价格
     */
    private BigDecimal totalPrice;

    /**
     * 商品集合
     */
    private List<ProductVo> productsList;
    /**
     * 经营范围
     */
    private String[] businessScopeArray;

    /**
     * 协销购物车数据
     */
    private List<SellerCartVo> sellerCartList;
}
